import Link from "next/link";
import styles from "./footer.module.scss";
import { NeonChillPig } from "../general/pigs/fun/NeonChillPig";
import { ToTop } from "./ToTop";
import { LogoNeuf } from "../general/Logo";

export const Footer = () => {
  return (
    <footer className={styles.footer}>
      <div className={styles.contact}>
        <ul className={styles.contactList}>
          <li className={styles.contactItem}>
            <h2 className="suphead">Følg oss</h2>
            <ul>
              <li>
                <a href="#" target="_blank">
                  Instagram
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Facebook
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Twitter
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Flickr
                </a>
              </li>
            </ul>
          </li>
          <li className={styles.contactItem}>
            <h2 className="suphead">Kontakt oss</h2>
            <p>
              Generell kontaktinfo
              <br />
              Billetter
              <br />
              Hittegods
              <br />
              Telefon/mail?
              <br />
              Lenke til kontakt/ansatte?
            </p>
          </li>
          <li className={styles.contactItem}>
            <h2 className="suphead">Besøk oss</h2>
            <p>
              Det Norske Studentersamfund
              <br />
              Slemdalsveien 15
              <br />
              0369 Oslo
              <br />
              <a href="#" target="_blank">
                Vis i Google Maps
              </a>
            </p>
          </li>
          <li className={styles.contactItem}>
            <h2 className="suphead">Åpningstider i dag</h2>
            <table className="openingHours">
              <tbody>
                <tr>
                  <td>Glassbaren</td>
                  <td>15:00—00:30</td>
                </tr>
                <tr>
                  <td>Bokcaféen</td>
                  <td>19:00—23:30</td>
                </tr>
                <tr>
                  <td>Ekspedisjonen</td>
                  <td>15:00—00:00</td>
                </tr>
              </tbody>
            </table>
            <Link href="/praktisk#apningstider">Se alle åpningstider</Link>
          </li>
        </ul>
      </div>
      <div className={styles.pig}>
        <NeonChillPig />
      </div>
      <ToTop />
    </footer>
  );
};
